function S = ids_empty_camera_visible
% function S = ids_empty_camera_visible
%
% File written automatically using writestruct_to_mfile.m
% writestruct_to_mfile with n=15, with ids_gen to generate empty IDS within IMAS version 3.39.0
%

S = ...
struct(...
'channel',{{struct(...
'aperture',{{struct(...
'centre',struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'geometry_type',int32(-999999999),...
'outline',struct(...
'x1',double([]),...
'x1_error_index',int32(-999999999),...
'x1_error_lower',double([]),...
'x1_error_upper',double([]),...
'x2',double([]),...
'x2_error_index',int32(-999999999),...
'x2_error_lower',double([]),...
'x2_error_upper',double([])),...
'radius',double(-9e+40),...
'radius_error_index',int32(-999999999),...
'radius_error_lower',double(-9e+40),...
'radius_error_upper',double(-9e+40),...
'surface',double(-9e+40),...
'surface_error_index',int32(-999999999),...
'surface_error_lower',double(-9e+40),...
'surface_error_upper',double(-9e+40),...
'x1_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'x1_width',double(-9e+40),...
'x1_width_error_index',int32(-999999999),...
'x1_width_error_lower',double(-9e+40),...
'x1_width_error_upper',double(-9e+40),...
'x2_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'x2_width',double(-9e+40),...
'x2_width_error_index',int32(-999999999),...
'x2_width_error_lower',double(-9e+40),...
'x2_width_error_upper',double(-9e+40),...
'x3_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)))
}},...
'detector',{{struct(...
'columns_n',int32(-999999999),...
'counts_to_radiance',double([]),...
'counts_to_radiance_error_index',int32(-999999999),...
'counts_to_radiance_error_lower',double([]),...
'counts_to_radiance_error_upper',double([]),...
'exposure_time',double(-9e+40),...
'exposure_time_error_index',int32(-999999999),...
'exposure_time_error_lower',double(-9e+40),...
'exposure_time_error_upper',double(-9e+40),...
'frame',{{struct(...
'image_raw',int32([]),...
'radiance',double([]),...
'radiance_error_index',int32(-999999999),...
'radiance_error_lower',double([]),...
'radiance_error_upper',double([]),...
'time',double(-9e+40))
}},...
'geometry_matrix',struct(...
'emission_grid',struct(...
'dim1',double([]),...
'dim1_error_index',int32(-999999999),...
'dim1_error_lower',double([]),...
'dim1_error_upper',double([]),...
'dim2',double([]),...
'dim2_error_index',int32(-999999999),...
'dim2_error_lower',double([]),...
'dim2_error_upper',double([]),...
'dim3',double([]),...
'dim3_error_index',int32(-999999999),...
'dim3_error_lower',double([]),...
'dim3_error_upper',double([]),...
'grid_type',struct(...
'description','',...
'index',int32(-999999999),...
'name','')),...
'interpolated',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'phi',double([]),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double([]),...
'phi_error_upper',double([]),...
'r',double([]),...
'r_error_index',int32(-999999999),...
'r_error_lower',double([]),...
'r_error_upper',double([]),...
'z',double([]),...
'z_error_index',int32(-999999999),...
'z_error_lower',double([]),...
'z_error_upper',double([])),...
'voxel_map',int32([]),...
'voxels_n',int32(-999999999),...
'with_reflections',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'pixel_indices',int32([]),...
'voxel_indices',int32([])),...
'without_reflections',struct(...
'data',double([]),...
'data_error_index',int32(-999999999),...
'data_error_lower',double([]),...
'data_error_upper',double([]),...
'pixel_indices',int32([]),...
'voxel_indices',int32([]))),...
'lines_n',int32(-999999999),...
'noise',double(-9e+40),...
'noise_error_index',int32(-999999999),...
'noise_error_lower',double(-9e+40),...
'noise_error_upper',double(-9e+40),...
'pixel_to_alpha',double([]),...
'pixel_to_alpha_error_index',int32(-999999999),...
'pixel_to_alpha_error_lower',double([]),...
'pixel_to_alpha_error_upper',double([]),...
'pixel_to_beta',double([]),...
'pixel_to_beta_error_index',int32(-999999999),...
'pixel_to_beta_error_lower',double([]),...
'pixel_to_beta_error_upper',double([]),...
'wavelength_lower',double(-9e+40),...
'wavelength_lower_error_index',int32(-999999999),...
'wavelength_lower_error_lower',double(-9e+40),...
'wavelength_lower_error_upper',double(-9e+40),...
'wavelength_upper',double(-9e+40),...
'wavelength_upper_error_index',int32(-999999999),...
'wavelength_upper_error_lower',double(-9e+40),...
'wavelength_upper_error_upper',double(-9e+40))
}},...
'fibre_bundle',struct(...
'fibre_positions',struct(...
'x1',double([]),...
'x1_error_index',int32(-999999999),...
'x1_error_lower',double([]),...
'x1_error_upper',double([]),...
'x2',double([]),...
'x2_error_index',int32(-999999999),...
'x2_error_lower',double([]),...
'x2_error_upper',double([])),...
'fibre_radius',double(-9e+40),...
'fibre_radius_error_index',int32(-999999999),...
'fibre_radius_error_lower',double(-9e+40),...
'fibre_radius_error_upper',double(-9e+40),...
'geometry',struct(...
'centre',struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'geometry_type',int32(-999999999),...
'outline',struct(...
'x1',double([]),...
'x1_error_index',int32(-999999999),...
'x1_error_lower',double([]),...
'x1_error_upper',double([]),...
'x2',double([]),...
'x2_error_index',int32(-999999999),...
'x2_error_lower',double([]),...
'x2_error_upper',double([])),...
'radius',double(-9e+40),...
'radius_error_index',int32(-999999999),...
'radius_error_lower',double(-9e+40),...
'radius_error_upper',double(-9e+40),...
'surface',double(-9e+40),...
'surface_error_index',int32(-999999999),...
'surface_error_lower',double(-9e+40),...
'surface_error_upper',double(-9e+40),...
'x1_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'x1_width',double(-9e+40),...
'x1_width_error_index',int32(-999999999),...
'x1_width_error_lower',double(-9e+40),...
'x1_width_error_upper',double(-9e+40),...
'x2_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'x2_width',double(-9e+40),...
'x2_width_error_index',int32(-999999999),...
'x2_width_error_lower',double(-9e+40),...
'x2_width_error_upper',double(-9e+40),...
'x3_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)))),...
'name','',...
'optical_element',{{struct(...
'back_surface',struct(...
'curvature_type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'x1_curvature',double(-9e+40),...
'x1_curvature_error_index',int32(-999999999),...
'x1_curvature_error_lower',double(-9e+40),...
'x1_curvature_error_upper',double(-9e+40),...
'x2_curvature',double(-9e+40),...
'x2_curvature_error_index',int32(-999999999),...
'x2_curvature_error_lower',double(-9e+40),...
'x2_curvature_error_upper',double(-9e+40)),...
'front_surface',struct(...
'curvature_type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'x1_curvature',double(-9e+40),...
'x1_curvature_error_index',int32(-999999999),...
'x1_curvature_error_lower',double(-9e+40),...
'x1_curvature_error_upper',double(-9e+40),...
'x2_curvature',double(-9e+40),...
'x2_curvature_error_index',int32(-999999999),...
'x2_curvature_error_lower',double(-9e+40),...
'x2_curvature_error_upper',double(-9e+40)),...
'geometry',struct(...
'centre',struct(...
'phi',double(-9e+40),...
'phi_error_index',int32(-999999999),...
'phi_error_lower',double(-9e+40),...
'phi_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'geometry_type',int32(-999999999),...
'outline',struct(...
'x1',double([]),...
'x1_error_index',int32(-999999999),...
'x1_error_lower',double([]),...
'x1_error_upper',double([]),...
'x2',double([]),...
'x2_error_index',int32(-999999999),...
'x2_error_lower',double([]),...
'x2_error_upper',double([])),...
'radius',double(-9e+40),...
'radius_error_index',int32(-999999999),...
'radius_error_lower',double(-9e+40),...
'radius_error_upper',double(-9e+40),...
'surface',double(-9e+40),...
'surface_error_index',int32(-999999999),...
'surface_error_lower',double(-9e+40),...
'surface_error_upper',double(-9e+40),...
'x1_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'x1_width',double(-9e+40),...
'x1_width_error_index',int32(-999999999),...
'x1_width_error_lower',double(-9e+40),...
'x1_width_error_upper',double(-9e+40),...
'x2_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40)),...
'x2_width',double(-9e+40),...
'x2_width_error_index',int32(-999999999),...
'x2_width_error_lower',double(-9e+40),...
'x2_width_error_upper',double(-9e+40),...
'x3_unit_vector',struct(...
'x',double(-9e+40),...
'x_error_index',int32(-999999999),...
'x_error_lower',double(-9e+40),...
'x_error_upper',double(-9e+40),...
'y',double(-9e+40),...
'y_error_index',int32(-999999999),...
'y_error_lower',double(-9e+40),...
'y_error_upper',double(-9e+40),...
'z',double(-9e+40),...
'z_error_index',int32(-999999999),...
'z_error_lower',double(-9e+40),...
'z_error_upper',double(-9e+40))),...
'material_properties',struct(...
'extinction_coefficient',double([]),...
'extinction_coefficient_error_index',int32(-999999999),...
'extinction_coefficient_error_lower',double([]),...
'extinction_coefficient_error_upper',double([]),...
'refractive_index',double([]),...
'refractive_index_error_index',int32(-999999999),...
'refractive_index_error_lower',double([]),...
'refractive_index_error_upper',double([]),...
'roughness',double([]),...
'roughness_error_index',int32(-999999999),...
'roughness_error_lower',double([]),...
'roughness_error_upper',double([]),...
'transmission_coefficient',double([]),...
'transmission_coefficient_error_index',int32(-999999999),...
'transmission_coefficient_error_lower',double([]),...
'transmission_coefficient_error_upper',double([]),...
'type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''),...
'wavelengths',double([]),...
'wavelengths_error_index',int32(-999999999),...
'wavelengths_error_lower',double([]),...
'wavelengths_error_upper',double([])),...
'thickness',double(-9e+40),...
'thickness_error_index',int32(-999999999),...
'thickness_error_lower',double(-9e+40),...
'thickness_error_upper',double(-9e+40),...
'type',struct(...
'description','',...
'index',int32(-999999999),...
'name',''))
}},...
'viewing_angle_alpha_bounds',double([]),...
'viewing_angle_alpha_bounds_error_index',int32(-999999999),...
'viewing_angle_alpha_bounds_error_lower',double([]),...
'viewing_angle_alpha_bounds_error_upper',double([]),...
'viewing_angle_beta_bounds',double([]),...
'viewing_angle_beta_bounds_error_index',int32(-999999999),...
'viewing_angle_beta_bounds_error_lower',double([]),...
'viewing_angle_beta_bounds_error_upper',double([]))
}},...
'code',struct(...
'commit','',...
'description','',...
'library',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'name','',...
'output_flag',int32([]),...
'parameters','',...
'repository','',...
'version',''),...
'ids_properties',struct(...
'comment','',...
'creation_date','',...
'homogeneous_time',int32(-999999999),...
'plugins',struct(...
'infrastructure_get',struct(...
'commit','',...
'description','',...
'name','',...
'repository','',...
'version',''),...
'infrastructure_put',struct(...
'commit','',...
'description','',...
'name','',...
'repository','',...
'version',''),...
'node',{{struct(...
'get_operation',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'path','',...
'put_operation',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'readback',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}})
}}),...
'provenance',struct(...
'node',{{struct(...
'path','',...
'sources',{{}})
}}),...
'provider','',...
'source','',...
'version_put',struct(...
'access_layer','',...
'access_layer_language','',...
'data_dictionary','')),...
'latency',double(-9e+40),...
'latency_error_index',int32(-999999999),...
'latency_error_lower',double(-9e+40),...
'latency_error_upper',double(-9e+40),...
'name','',...
'time',double([]));
